## lazarus 1.2.4+dfsg

=== debian/changelog ===
lazarus (1.2.4+dfsg-1) unstable; urgency=low

  * New upstream release with few fixes and official support of FPC 2.6.4.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.2_fixes_branch#Fixes_for_1.2.4_.28Merged.29

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 14 Jul 2014 20:16:50 +0200

lazarus (1.2.2+dfsg1-1) unstable; urgency=medium

  * Stripped mpaslex.pp from the upstream source as it is non-dfsg free
    (requires donation if you use it commercially).
  * Raise d/compat and debhelper Build-Depends to recommended level 9 to be
    able to use d/clean
  * Document Apache license for Adroid interface
  * Make sure that lhelp gets installed and also compile the accompanying
    lcl.chm file
  * Drop dangling MacOS symlink (it points to lhelp, but that is not in a
    dependency of the lazarus-src-# package) (Closed: #748432)
  * Add keywords to desktop file (thanks lintian)
  * Add lintian override for license file in PascalScript

 -- Paul Gevers <elbrus@debian.org>  Sun, 15 Jun 2014 11:48:30 +0200

lazarus (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release with few fixes and official support of FPC 2.6.4.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.2_fixes_branch#Fixes_for_1.2.2_.28Merged.29

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 15 May 2014 23:17:51 +0200

lazarus (1.2+dfsg-1) unstable; urgency=medium

  [ Abou Al Montacir ]
  * Packaged QT4 based IDE and LCL units.

  [ Paul Gevers ]
  * New upstream release
  * Drop obsolete patches + refresh spell_errors.diff
  * Update dependencies and description for QT4 changes
  * Improve deduplication in d/rules (adds lcl-qt4 -> lcl-gtk2 -> lcl-nogui)

 -- Paul Gevers <elbrus@debian.org>  Fri, 25 Apr 2014 12:57:26 +0200

lazarus (1.2~rc2+dfsg-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * New upstream pre-release.
    + Moved ideintf to components directory.
    + Added new package cairocanvas.
  * Remove usage of depreciated parameters form of find. (Closes: Bug#724776)
  * Bumped standard version to 3.9.5.
  * Clean the way handling make files generation and removal.

  [ Paul Gevers ]
  * Remove nearly obsolete bzip compression for binary packages
    (See https://lists.debian.org/debian-devel/2014/01/msg00542.html)
  * Update d/copyright for newly added dir in examples and components
  * Update Vcs-* fields with new packaging location
  * Update d/watch file to properly (Debian way) change upstreams versions
  * Prevent 46MB of package size by sym linking duplicate files
  * Patches
    - refresh to remove fuzz
    - add more Lintian found spelling errors
    - new patch to add shbang to two scripts in lazarus-src
  * Drop lcl-# from Provides list of lcl-units-#
  * Make lazarus-ide-qt4-# an arch all until it really contains stuff
  * Make all metapackages arch all as the usecase for arch any doesn't
    seem to warrant the addition archive hit
  * Fix permissions of non-scripts in lazarus-src-#

 -- Paul Gevers <elbrus@debian.org>  Sat, 22 Feb 2014 10:25:57 +0100

lazarus (1.0.10+dfsg-2) unstable; urgency=low

  * Install global links files with binary packages instead as they are now
    used to retreive installed packages.
  * Fixed VCS browser link.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 28 Jun 2013 10:05:06 +0200
