## lazarus 1.2.4+dfsg2

=== debian/changelog ===
lazarus (1.2.4+dfsg2-1) unstable; urgency=medium

  * Strip lcl/interfaces/carbon from the tar ball as the files in
    that directory are licensed under the Apple Public Source License
    which is considered non-DFSG (Closes: #777622)
  * Add patch to also not clean the carbon dir in the relevant Makefiles
  * Add note to d/copyright that we also strip carbon

 -- Paul Gevers <elbrus@debian.org>  Thu, 12 Feb 2015 21:14:23 +0100

lazarus (1.2.4+dfsg-2) unstable; urgency=medium

  * Work around a recent change (bug 761918) in imagemagick that causes
    lazarus to FTBFS (Closes: #761536)
  * Bump standards to 3.9.6 (no changes)
  * Update d/watch to prevent old releases to sort above recent ones
  * Update lintian override for lazarus-src
  * Add lintian override for chm packages. Lintian is not nice to FreePascal
    here.
  * Add Dutch translation

 -- Paul Gevers <elbrus@debian.org>  Tue, 30 Sep 2014 20:02:18 +0200
