=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Torsten Werner <twerner@debian.org>,
            Abou Al Montacir <abou.almontacir@sfr.fr>,
            Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
                fp-utils,
                fpc,
