=== debian/rules ===
--- 
+++ 
@@ -174,7 +174,12 @@
 	# copy icons and menu entries for the GNOME menu
 	${MKDIR} $(INSTALL_DIR)/usr/share/pixmaps
 	${MKDIR} $(INSTALL_DIR)/usr/share/applications
-	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
+	# the following source file is not completely correct, it produces a
+	# fatal warning since imagemagick package version 8:6.8.9.6-4
+	# therefore allowing the command to proceed after the failure, as
+	# it seems to produce a valid png anyways (the error used to be a
+	# warning for a very long time)
+	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm || true
 	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
 	# Install configuration files
 	${MKDIR} $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
@@ -219,13 +224,3 @@
 		${LIB_DIR}/components/*/*/*/qt \
 		${LIB_DIR}/components/*/*/*/*/nogui \
 		${LIB_DIR}/components/*/*/*/*/gtk2 \
-		${LIB_DIR}/components/*/*/*/*/qt \
-		${LIB_DIR}/components/*/*/*/*/*/nogui \
-		${LIB_DIR}/components/*/*/*/*/*/gtk2 \
-		${LIB_DIR}/components/*/*/*/*/*/qt
-	# Fix those symlinks to make them relative
-	symlinks -r -s -c ${LIB_DIR}
-
-	touch install-arch-stamp
-
-arrange-arch: install-arch arrange-arch-stamp install-man
