## lazarus 1.2.6+dfsg

=== debian/changelog ===
lazarus (1.2.6+dfsg-2) unstable; urgency=medium

  * Upload 1.2.6 to unstable
  * Add libgtk2.0-dev to build depends as it was dropped from
    fp-units-gtk-*

 -- Paul Gevers <elbrus@debian.org>  Fri, 05 Jun 2015 08:09:09 +0200

lazarus (1.2.6+dfsg-1) experimental; urgency=medium

  * New upstream release
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.2_fixes_branch#Fixes_for_1.2.6_.28Merged.29
  * imagemagick fixed its issue, so undoing the workaround
  * Update patches:
    - revision string in add-revision-inc.diff
    - refresh spell_errors.diff
  * Update and extend lintian overrides (also used to suppress accepted
    discrepencies until #764067 is fixed)
  * Move maintenance to pkg-pascal-devel to document the de-facto
    situation
  * Minor cleanup in d/control(|.in)
    - Remove Breaks/Replaces not in any supported release
    - Fix several typo's 0.2.28.2
    - Add Debian version number in appropriate places
  * Don't fail clean with missing Makefiles (e.g. fpcmake not installed)

 -- Paul Gevers <elbrus@debian.org>  Fri, 13 Feb 2015 21:05:13 +0100
