=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: lazarus
 Section: devel
 Priority: optional
-Maintainer: Carlos Laviola <claviola@debian.org>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Torsten Werner <twerner@debian.org>,
+           Carlos Laviola <claviola@debian.org>,
            Abou Al Montacir <abou.almontacir@sfr.fr>,
            Paul Gevers <elbrus@debian.org>
 Standards-Version: 3.9.6
@@ -11,6 +12,7 @@
                fpc,
                fpc-source,
                imagemagick,
+               libgtk2.0-dev,
                libqt4pas-dev,
                po-debconf,
                rdfind,
@@ -19,11 +21,11 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/lazarus.git
 Homepage: http://www.lazarus.freepascal.org
 
-Package: lazarus-1.2.4
+Package: lazarus-1.2.6
 Architecture: all
-Depends: lazarus-doc-1.2.4 (>= ${source:Version}),
-         lazarus-ide-1.2.4 (>= ${source:Version}),
-         lazarus-src-1.2.4 (>= ${source:Version}),
+Depends: lazarus-doc-1.2.6 (>= ${source:Version}),
+         lazarus-ide-1.2.6 (>= ${source:Version}),
+         lazarus-src-1.2.6 (>= ${source:Version}),
          ${misc:Depends}
 Recommends: fpc,
             fpc-source
@@ -52,10 +54,10 @@
  This metapackage pulls in all the packages needed to have a typical
  Lazarus installation.
 
-Package: lazarus-src-1.2.4
+Package: lazarus-src-1.2.6
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: lazarus-ide-1.2.4
+Suggests: lazarus-ide-1.2.6
 Provides: lazarus-src
 Breaks: lazarus-src (<< 0.9.28.2-13)
 Replaces: lazarus-src (<< 0.9.18.2-13)
@@ -80,20 +82,20 @@
  the IDE code tool to work properly (retrieving declarations and navigating
  in code).
 
-Package: lazarus-ide-1.2.4
+Package: lazarus-ide-1.2.6
 Architecture: any
 Depends: fp-compiler,
-         lazarus-ide-gtk-1.2.4 | lazarus-ide-qt-1.2.4,
-         lazarus-src-1.2.4,
+         lazarus-ide-gtk-1.2.6 | lazarus-ide-qt-1.2.6,
+         lazarus-src-1.2.6,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
             gdb,
-            lcl-1.2.4
+            lcl-1.2.6
 Suggests: fp-utils
 Provides: lazarus-ide
-Breaks: lazarus-ide (<< 0.2.28.2-13)
-Replaces: lazarus-ide (<< 0.2.28.2-13)
+Breaks: lazarus-ide (<< 0.9.28.2-13)
+Replaces: lazarus-ide (<< 0.9.28.2-13)
 Description: IDE for Free Pascal - common IDE files
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -113,22 +115,22 @@
  .
  This package contains the common files required to run Lazarus IDE.
 
-Package: lazarus-ide-gtk2-1.2.4
-Architecture: any
-Depends: lazarus-ide-1.2.4,
+Package: lazarus-ide-gtk2-1.2.6
+Architecture: any
+Depends: lazarus-ide-1.2.6,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
             gdb,
-            lcl-1.2.4
+            lcl-1.2.6
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-gtk-1.2.4,
+          lazarus-ide-gtk-1.2.6,
           lazarus-ide-gtk2
 Breaks: lazarus-ide (<< 0.9.28.2-13),
-        lazarus-ide-gtk2 (<< 0.2.28.2-13)
+        lazarus-ide-gtk2 (<< 0.9.28.2-13)
 Replaces: lazarus-ide (<< 0.9.28.2-13),
-          lazarus-ide-gtk2 (<< 0.2.28.2-13)
+          lazarus-ide-gtk2 (<< 0.9.28.2-13)
 Description: IDE for Free Pascal - GTK+ version
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -148,17 +150,17 @@
  .
  This package contains the GTK+ version of the Lazarus IDE.
 
-Package: lazarus-ide-qt4-1.2.4
-Architecture: any
-Depends: lazarus-ide-1.2.4,
+Package: lazarus-ide-qt4-1.2.6
+Architecture: any
+Depends: lazarus-ide-1.2.6,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
             gdb,
-            lcl-1.2.4
+            lcl-1.2.6
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-qt-1.2.4,
+          lazarus-ide-qt-1.2.6,
           lazarus-ide-qt4
 Breaks: lazarus-ide (<< 0.9.28.2-13),
         lazarus-ide-qt4(<< 0.9.28.2-13)
@@ -183,20 +185,18 @@
  .
  This package contains the Qt version of the Lazarus IDE.
 
-Package: lcl-1.2.4
-Architecture: any
-Depends: lcl-units-1.2.4,
-         lcl-utils-1.2.4,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: fpc,
-            lazarus-ide-1.2.4
+Package: lcl-1.2.6
+Architecture: any
+Depends: lcl-units-1.2.6,
+         lcl-utils-1.2.6,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: fpc,
+            lazarus-ide-1.2.6
 Suggests: gdb
 Provides: lcl
-Breaks: lazarus-ide (<= 0.9.28.2-2),
-        lcl (<< 0.9.28.2-13)
-Replaces: lazarus-ide (<= 0.9.28.2-2),
-          lcl (<< 0.9.28.2-13)
+Breaks: lcl (<< 0.9.28.2-13)
+Replaces: lcl (<< 0.9.28.2-13)
 Description: Lazarus Components Library - LCL suite
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -216,18 +216,16 @@
  .
  This metapackage installs the full LCL and components.
 
-Package: lcl-utils-1.2.4
+Package: lcl-utils-1.2.6
 Architecture: any
 Depends: fp-compiler,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: lazarus-ide-1.2.4,
-            lcl-1.2.4
+Recommends: lazarus-ide-1.2.6,
+            lcl-1.2.6
 Provides: lcl-utils
-Breaks: lazarus-ide (<= 0.9.28.2-2),
-        lcl-utils (<< 0.9.28.2-13)
-Replaces: lazarus-ide-1.2.4 (<= 0.9.28.2-2),
-          lcl-utils (<< 0.9.28.2-13)
+Breaks: lcl-utils (<< 0.9.28.2-13)
+Replaces: lcl-utils (<< 0.9.28.2-13)
 Description: Lazarus Components Library - command line build tools
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -248,20 +246,18 @@
  This package contains command line tools to ease building LCL based
  applications.
 
-Package: lcl-units-1.2.4
-Architecture: any
-Depends: lcl-gtk2-1.2.4 (= ${binary:Version}) | lcl-qt4-1.2.4 (= ${binary:Version}),
+Package: lcl-units-1.2.6
+Architecture: any
+Depends: lcl-gtk2-1.2.6 (= ${binary:Version}) | lcl-qt4-1.2.6 (= ${binary:Version}),
          ${fpc-abi:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
-            lazarus-ide-1.2.4
+            lazarus-ide-1.2.6
 Suggests: gdb
 Provides: lcl-units
-Breaks: lazarus-ide-1.2.4 (<= 0.9.28.2-2),
-        lcl-units (<< 0.9.28.2)
-Replaces: lazarus-ide-1.2.4 (<= 0.9.28.2-2),
-          lcl-units (<< 0.9.28.2)
+Breaks: lcl-units (<< 0.9.28.2-13)
+Replaces: lcl-units (<< 0.9.28.2-13)
 Description: Lazarus Components Library - backend independent components
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -281,7 +277,7 @@
  .
  This package contains common components of the LCL.
 
-Package: lcl-nogui-1.2.4
+Package: lcl-nogui-1.2.6
 Architecture: any
 Depends: fp-units-base,
          fp-units-fcl,
@@ -290,14 +286,12 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
-            lazarus-ide-1.2.4
+            lazarus-ide-1.2.6
 Suggests: gdb
 Provides: lcl-nogui
-Breaks: lazarus-ide-1.2.4 (<= 0.9.28.2-2),
-        lcl-nogui (<< 0.9.28.2),
+Breaks: lcl-nogui (<< 0.9.28.2-13),
         lcl-units-1.2 (<= 1.2~rc+dfsg-1)
-Replaces: lazarus-ide-1.2.4 (<= 0.9.28.2-2),
-          lcl-nogui (<< 0.9.28.2),
+Replaces: lcl-nogui (<< 0.9.28.2-13),
           lcl-units-1.2 (<=1.2~rc+dfsg-1)
 Description: Lazarus Components Library - no GUI backend
  Lazarus is an IDE to create (graphical and console) applications with Free
@@ -308,3 +302,6 @@
  programs for all of the above platforms in a Delphi-like environment.
  The IDE is a RAD tool that includes a form designer.
  .
+ Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
+ strive for "write once, compile anywhere". Since the exact same compiler
+ is available on all of the above platforms you don't need to do any recoding
