=== debian/rules ===
--- 
+++ 
@@ -84,8 +84,8 @@
 	@echo "--- Cleaning"
 	dh_testdir
 	dh_testroot
-	$(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=qt
-	$(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=gtk2
+	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=qt
+	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=gtk2
 	$(MAKE) -C docs/html clean
 	find -regex '.*\.\(a\|or?\|so\.*\|ppu\)' -delete
 
@@ -175,11 +175,8 @@
 	${MKDIR} $(INSTALL_DIR)/usr/share/pixmaps
 	${MKDIR} $(INSTALL_DIR)/usr/share/applications
 	# the following source file is not completely correct, it produces a
-	# fatal warning since imagemagick package version 8:6.8.9.6-4
-	# therefore allowing the command to proceed after the failure, as
-	# it seems to produce a valid png anyways (the error used to be a
-	# warning for a very long time)
-	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm || true
+	# warning in imagemagick
+	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
 	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
 	# Install configuration files
 	${MKDIR} $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
@@ -224,3 +221,7 @@
 		${LIB_DIR}/components/*/*/*/qt \
 		${LIB_DIR}/components/*/*/*/*/nogui \
 		${LIB_DIR}/components/*/*/*/*/gtk2 \
+		${LIB_DIR}/components/*/*/*/*/qt \
+		${LIB_DIR}/components/*/*/*/*/*/nogui \
+		${LIB_DIR}/components/*/*/*/*/*/gtk2 \
+		${LIB_DIR}/components/*/*/*/*/*/qt
