## lazarus 1.4.0+dfsg

=== debian/changelog ===
lazarus (1.4.0+dfsg-3) unstable; urgency=medium

  [ Graham Inggs ]
  * Install new components in lcl-units-#:
    DateTimeCtrls, DebuggerIntf and LazDebugger* (Closes: #792437)
  * Update d/clean to prevent FTBFSx2

  [ Paul Gevers ]
  * Prepare for upload

 -- Paul Gevers <elbrus@debian.org>  Sat, 18 Jul 2015 18:00:30 +0200

lazarus (1.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Add pt_BR translation (Closes: #788343)
  * Fix FTBFS on ARM with patch from upstream
  * Backporting fix from upstream for lazbuild failure with doublecmd
  * Add d/gbp.conf to prevent cleaned files in the git tree

 -- Paul Gevers <elbrus@debian.org>  Sun, 12 Jul 2015 16:23:37 +0200

lazarus (1.4.0+dfsg-1) experimental; urgency=medium

  [ Abou Al Montacir ]
  * New upstream release.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.4_fixes_branch
    - The release notes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.4.0_release_notes
  * Removed old patches not needed anymore.

  [ Paul Gevers ]
  * Rewritten d/copyright to machine readable DEP5 format
  * Update some Debian translations with changes from upstream
  * Make sure the Debian translation files are always in sync with the
    pot file

 -- Paul Gevers <elbrus@debian.org>  Sun, 05 Jul 2015 21:57:47 +0200
