=== debian/control ===
--- 
+++ 
@@ -21,11 +21,11 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/lazarus.git
 Homepage: http://www.lazarus.freepascal.org
 
-Package: lazarus-1.2.6
+Package: lazarus-1.4.0
 Architecture: all
-Depends: lazarus-doc-1.2.6 (>= ${source:Version}),
-         lazarus-ide-1.2.6 (>= ${source:Version}),
-         lazarus-src-1.2.6 (>= ${source:Version}),
+Depends: lazarus-doc-1.4.0 (>= ${source:Version}),
+         lazarus-ide-1.4.0 (>= ${source:Version}),
+         lazarus-src-1.4.0 (>= ${source:Version}),
          ${misc:Depends}
 Recommends: fpc,
             fpc-source
@@ -54,10 +54,10 @@
  This metapackage pulls in all the packages needed to have a typical
  Lazarus installation.
 
-Package: lazarus-src-1.2.6
+Package: lazarus-src-1.4.0
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: lazarus-ide-1.2.6
+Suggests: lazarus-ide-1.4.0
 Provides: lazarus-src
 Breaks: lazarus-src (<< 0.9.28.2-13)
 Replaces: lazarus-src (<< 0.9.18.2-13)
@@ -82,16 +82,16 @@
  the IDE code tool to work properly (retrieving declarations and navigating
  in code).
 
-Package: lazarus-ide-1.2.6
+Package: lazarus-ide-1.4.0
 Architecture: any
 Depends: fp-compiler,
-         lazarus-ide-gtk-1.2.6 | lazarus-ide-qt-1.2.6,
-         lazarus-src-1.2.6,
+         lazarus-ide-gtk-1.4.0 | lazarus-ide-qt-1.4.0,
+         lazarus-src-1.4.0,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
             gdb,
-            lcl-1.2.6
+            lcl-1.4.0
 Suggests: fp-utils
 Provides: lazarus-ide
 Breaks: lazarus-ide (<< 0.9.28.2-13)
@@ -115,17 +115,17 @@
  .
  This package contains the common files required to run Lazarus IDE.
 
-Package: lazarus-ide-gtk2-1.2.6
-Architecture: any
-Depends: lazarus-ide-1.2.6,
+Package: lazarus-ide-gtk2-1.4.0
+Architecture: any
+Depends: lazarus-ide-1.4.0,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
             gdb,
-            lcl-1.2.6
+            lcl-1.4.0
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-gtk-1.2.6,
+          lazarus-ide-gtk-1.4.0,
           lazarus-ide-gtk2
 Breaks: lazarus-ide (<< 0.9.28.2-13),
         lazarus-ide-gtk2 (<< 0.9.28.2-13)
@@ -150,17 +150,17 @@
  .
  This package contains the GTK+ version of the Lazarus IDE.
 
-Package: lazarus-ide-qt4-1.2.6
-Architecture: any
-Depends: lazarus-ide-1.2.6,
+Package: lazarus-ide-qt4-1.4.0
+Architecture: any
+Depends: lazarus-ide-1.4.0,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
             gdb,
-            lcl-1.2.6
+            lcl-1.4.0
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-qt-1.2.6,
+          lazarus-ide-qt-1.4.0,
           lazarus-ide-qt4
 Breaks: lazarus-ide (<< 0.9.28.2-13),
         lazarus-ide-qt4(<< 0.9.28.2-13)
@@ -185,14 +185,14 @@
  .
  This package contains the Qt version of the Lazarus IDE.
 
-Package: lcl-1.2.6
-Architecture: any
-Depends: lcl-units-1.2.6,
-         lcl-utils-1.2.6,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: fpc,
-            lazarus-ide-1.2.6
+Package: lcl-1.4.0
+Architecture: any
+Depends: lcl-units-1.4.0,
+         lcl-utils-1.4.0,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: fpc,
+            lazarus-ide-1.4.0
 Suggests: gdb
 Provides: lcl
 Breaks: lcl (<< 0.9.28.2-13)
@@ -216,13 +216,13 @@
  .
  This metapackage installs the full LCL and components.
 
-Package: lcl-utils-1.2.6
+Package: lcl-utils-1.4.0
 Architecture: any
 Depends: fp-compiler,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: lazarus-ide-1.2.6,
-            lcl-1.2.6
+Recommends: lazarus-ide-1.4.0,
+            lcl-1.4.0
 Provides: lcl-utils
 Breaks: lcl-utils (<< 0.9.28.2-13)
 Replaces: lcl-utils (<< 0.9.28.2-13)
@@ -246,14 +246,14 @@
  This package contains command line tools to ease building LCL based
  applications.
 
-Package: lcl-units-1.2.6
-Architecture: any
-Depends: lcl-gtk2-1.2.6 (= ${binary:Version}) | lcl-qt4-1.2.6 (= ${binary:Version}),
+Package: lcl-units-1.4.0
+Architecture: any
+Depends: lcl-gtk2-1.4.0 (= ${binary:Version}) | lcl-qt4-1.4.0 (= ${binary:Version}),
          ${fpc-abi:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
-            lazarus-ide-1.2.6
+            lazarus-ide-1.4.0
 Suggests: gdb
 Provides: lcl-units
 Breaks: lcl-units (<< 0.9.28.2-13)
@@ -277,7 +277,7 @@
  .
  This package contains common components of the LCL.
 
-Package: lcl-nogui-1.2.6
+Package: lcl-nogui-1.4.0
 Architecture: any
 Depends: fp-units-base,
          fp-units-fcl,
@@ -286,7 +286,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
-            lazarus-ide-1.2.6
+            lazarus-ide-1.4.0
 Suggests: gdb
 Provides: lcl-nogui
 Breaks: lcl-nogui (<< 0.9.28.2-13),
