=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 DEB_BUILD_FPC_OPT=debian/deb-build-fpc.cfg
 DEB_HOST_FPC_OPT=debian/deb-host-fpc.cfg
 BUILDOPTS=USESVN2REVISIONINC=0 OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
-INSTALLOPTS=INSTALL_PREFIX=$(INSTALL_DIR)/usr
+INSTALLOPTS=PREFIX=$(INSTALL_DIR)/usr
 endif
 ifndef LAZBUILD
 export LAZBUILD=${CURDIR}/lazbuild --lazarusdir=../..
@@ -79,6 +79,8 @@
 
 clean: clean-patched clean-make-files
 	dh_clean
+	# Make sure the debconf translations are always up-to-date
+	debconf-updatepo
 
 clean-patched: make-files
 	@echo "--- Cleaning"
@@ -224,4 +226,3 @@
 		${LIB_DIR}/components/*/*/*/*/qt \
 		${LIB_DIR}/components/*/*/*/*/*/nogui \
 		${LIB_DIR}/components/*/*/*/*/*/gtk2 \
-		${LIB_DIR}/components/*/*/*/*/*/qt
